# -*- coding: utf-8 -*-
#
# This file is part of NINJA-IDE (http://ninja-ide.org).
#
# NINJA-IDE is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# any later version.
#
# NINJA-IDE is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with NINJA-IDE; If not, see <http://www.gnu.org/licenses/>.

from __future__ import absolute_import

import sys


if sys.platform == 'win32':
    from ninja_ide.core.filesystem_notifications import windows
    source = windows
elif sys.platform == 'darwin' or sys.platform.startswith('freebsd'):
    from ninja_ide.core.filesystem_notifications import darwin
    source = darwin
else:
    from ninja_ide.core.filesystem_notifications import linux
    source = linux


NinjaFileSystemWatcher = source.NinjaFileSystemWatcher()
